Find the answer to your Linux question:
Results 1 to 3 of 3
OS:Xandros (debian based edited sources.list to use the sarge sources list) I'm trying to install x-window-system-dev so I can install the cedega CVS but when I run apt-get install x-window-system-dev ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jan 2005
    Location
    Maryland
    Posts
    67

    Installing x-window-system-dev


    OS:Xandros (debian based edited sources.list to use the sarge sources list)

    I'm trying to install x-window-system-dev so I can install the cedega CVS but when I run apt-get install x-window-system-dev I get errors about unmet dependencies.
    Code:
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    
    Since you only requested a single operation it is extremely likely that
    the package is simply not installable and a bug report against
    that package should be filed.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
      x-window-system-dev: Depends: libdps1-dbg but it is not going to be installed
                           Depends: libice6-dbg but it is not going to be installed
                           Depends: libsm6-dbg but it is not going to be installed
                           Depends: libx11-6-dbg but it is not going to be installed
                           Depends: libxaw7-dbg but it is not going to be installed
                           Depends: libxext6-dbg but it is not going to be installed
                           Depends: libxi6-dbg but it is not going to be installed
                           Depends: libxmu6-dbg but it is not going to be installed
                           Depends: libxmuu1-dbg but it is not going to be installed
                           Depends: libxp6-dbg but it is not going to be installed
                           Depends: libxpm4-dbg but it is not going to be installed
                           Depends: libxrandr2-dbg but it is not going to be installed
                           Depends: libxt6-dbg but it is not going to be installed
                           Depends: libxtrap6-dbg but it is not going to be installed
                           Depends: libxtst6-dbg but it is not going to be installed
                           Depends: libxv1-dbg but it is not going to be installed
                           Depends: xlibmesa-gl-dbg but it is not going to be installed
                           Depends: xlibmesa-glu-dbg but it is not going to be installed
                           Depends: xlibosmesa4-dbg but it is not going to be installed
    E: Broken packages
    Trying to install libice6-dbg tells me that I must install xfree86-common as one of the dependencies but when I got to install that 212 packages will be removed some of which seem important(xserver-common xserver-xorg).

    So I don't really get why I can't install it. I assume I must be using xorg and x-window-system-dev is for xfree86 and that must be my problem, so what do I use as an alternative to eventually install cedega CVS?

  2. #2
    Linux User St. Joe's Avatar
    Join Date
    Jun 2005
    Location
    USA
    Posts
    271

    Re: Installing x-window-system-dev

    Quote Originally Posted by squirrelplayingtag
    I assume I must be using xorg and x-window-system-dev is for xfree86 and that must be my problem, so what do I use as an alternative to eventually install cedega CVS?
    Yeah, that's correct. You'll either have to switch to XFree86 or contact the cedega developers for assistance.
    It may be that your sole purpose in life is simply to serve as a warning to others.

  3. #3
    Just Joined!
    Join Date
    Jan 2005
    Location
    Maryland
    Posts
    67
    I just tried to install it to see if I got some errors and it installed fine. Maybe I don't need it after all? We'll see.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •